// This code is auto-generated

#include "ticksUtils.hpp"
#define __x86_64__
void burnTicks(long long ticks) {
		// default implementation of tick burning
		long long numLoops = ticks / 400; 
	#	if defined (__x86_64__)
	 		for (long long i = 0; i < numLoops; i++) {
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 			__asm volatile("nop");
	 		}
	#	elif defined (__x86_32__) 		
	 		for (long long i = 0; i < numLoops; i++) {
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 			 __asm volatile("mov r0, r0");
	 		}
	#	elif defined (__aarch64__) 		
		      asm volatile (
		        "mov x0, #0 \n"            // Initialize loop counter
		        "mov x1, %0 \n"            // Load loop count
		        "1: \n"                    // Global label
		        "add x0, x0, #1 \n"        // Increment loop counter
		        "cmp x0, x1 \n"            // Compare loop counter with loop count
		        "bne 1b \n"                // Branch to global label
		        :                         // No output operands
		        : "r" (ticks)        // Input operand (loop count)
		        : "x0", "x1", "cc"        // Clobbered registers (x0, x1) and condition codes (cc)
		    );
	#	endif
}

void burnTicksStatistics(double average, long long lowerBound, long long upperBound) {
	burnTicks((long long)average);
}

void executeTicks_DiscreteValueStatistics(double average,long long lowerBound, long long upperBound) {
	burnTicksStatistics(average, lowerBound, upperBound);
}

